Get single agent configuration

Base URL
https://{kibana_url}
  • GET /api/apm/settings/agent-configuration/view
  • GET /s/{space_id}/api/apm/settings/agent-configuration/view
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

name string

Service name

Example: node
environment string

Service environment

Example: prod

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31

Responses

Successful response

application/json
id string required
@timestamp number required

Timestamp

agent_name string

Agent name

applied_by_agent boolean

Applied by agent

etag string required

Etag

service object required

Service

environment string

Environment

name string

Name

settings map string to string required

Agent configuration settings

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}